devguard
Deadlines

Get upcoming deadlines from relevant sources.

GET
/deadlines/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

limit?number
Range5 <= value
Default100
page?number
Range1 <= value
Default1
organizationId*string
Length1 <= length
includeOverdue?boolean
Defaulttrue
daysAhead?number
Range1 <= value <= 30
Default30
filterByType?string

Value in

  • "treatment-action"
  • "risk-review"
  • "asset-review"
  • "asset-retention"
  • "audit-finding"
  • "entitlement-review"
  • "vendor-assessment"
  • "evidence-review"
  • "evidence-file-expiry"
  • "incident-breach-notification"
  • "task"
  • "record"
  • "record-cadence"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/deadlines/?organizationId=string"
{  "items": [    {      "id": "string",      "title": "string",      "description": "string",      "tag": "string",      "dueDate": "string",      "url": "string",      "type": "treatment-action",      "isOverdue": true,      "daysUntilDue": 0    }  ],  "total": 0,  "page": 0,  "limit": 0}

How is this guide?